スタッフ別予算削除
DELETE
/budget/{store_id}/{year}/{month}/staffs
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/budget/example/example/example/staffs';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/budget/example/example/example/staffs \ --header 'Authorization: Bearer <token>'スタッフ別予算情報を削除します。
指定された店舗における指定された年月のスタッフ別予算がすべて削除されます。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”store_id
required
string
店舗ID
year
required
string
予算年(YYYY)
month
required
string
予算月(MM)
Responses
Section titled “Responses”削除成功
- 指定した店舗ID・年月の予算が存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Example指定した店舗ID・年月の予算が存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDと年月のリソースが見つかりません", "status": 404}